
Redmine - Patch #257

Optional project repository creation when using reposman.rb

2008-01-28 16:33 - Thomas Kjosmoen

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Description

This is a patch set to give the administrator/manager the option exclude projects from being automatically created when

using the reposman.rb script.

To apply the patch, run the following command from inside your redmine directory:

patch -p0 < /path/to/redmine-autocreate-repository.patch

One of the implications is that you can allow a subproject to use a folder in the parent project's repository, instead

of creating completely separate repositories every time.

Hopefully, this patch will be useful.

History

#1 - 2008-01-28 17:12 - Thomas Kjosmoen

Shoot... There was a couple of errors in that patch. The following

patch works

advertised.

#2 - 2008-02-04 03:36 - Thomas Kjosmoen

I see that in the transfer from rubyforge.org to redmine.org, the order of the patches were messed up. The correct patch is the largest one, i.e.:

http://www.redmine.org/attachments/download/132

#3 - 2011-01-18 06:53 - Toshi MARUYAMA

- Category set to SCM

#4 - 2011-03-24 06:27 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

redmine-autocreate-repository.patch 14.2 KB 2008-02-03 Thomas Kjosmoen

redmine-autocreate-repository.patch 13.3 KB 2008-02-03 Thomas Kjosmoen
